<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>Framework: Point3Ddata.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_point3_ddata_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Properties</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">Point3Ddata.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_point3_ddata_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;</div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#ifndef POINT3DDATA_H</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#define POINT3DDATA_H</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;</div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="io__data_8h.html">io_data.h</a>&gt;</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_i_o_data_element_8h.html">IODataElement.h</a>&gt;</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_point3_d_8h.html">Point3D.h</a>&gt;</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="keyword">namespace </span>framework</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;{</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="keyword">namespace </span>core</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;{</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;</div>
<div class="line"><a name="l00026"></a><span class="lineno"><a class="line" href="classframework_1_1core_1_1_point3_ddata.html">   26</a></span>&#160;    <span class="keyword">class </span><a class="code" href="classframework_1_1core_1_1_point3_ddata.html">Point3Ddata</a>: <span class="keyword">public</span> <a class="code" href="classframework_1_1core_1_1io__data.html">io_data</a>, <span class="keyword">public</span> <a class="code" href="classframework_1_1core_1_1_point3_d.html">Point3D</a></div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;    {</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;        <span class="keyword">public</span>:</div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;            <a class="code" href="classframework_1_1core_1_1_point3_ddata.html#a4bd1a1e9a503d289b7d2cc470449b874">Point3Ddata</a>(<span class="keyword">const</span> <a class="code" href="classframework_1_1core_1_1_object.html">Object</a>* parent, std::string name,<span class="keywordtype">float</span> <a class="code" href="classframework_1_1core_1_1_point3_d.html#acd87f77c6f9b7910503b428c039062dc">x</a>=0,<span class="keywordtype">float</span> <a class="code" href="classframework_1_1core_1_1_point3_d.html#a559222769c545076728647cc164759e6">y</a>=0,<span class="keywordtype">float</span> <a class="code" href="classframework_1_1core_1_1_point3_d.html#a26d3078830242ae0514109d02f072734">z</a>=0,uint32_t n=1);</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;</div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;            <a class="code" href="classframework_1_1core_1_1_point3_ddata.html#ade28ba8acbb93c19239d561cc9e3ef73">~Point3Ddata</a>();</div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;            <a class="code" href="classframework_1_1core_1_1_i_o_data_element.html">IODataElement</a>* <a class="code" href="classframework_1_1core_1_1_point3_ddata.html#a08b9c5883d3888ad059c839df81db737">XElement</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;</div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;            <a class="code" href="classframework_1_1core_1_1_i_o_data_element.html">IODataElement</a>* <a class="code" href="classframework_1_1core_1_1_point3_ddata.html#a450fa0db78acef83b87b6bc9122eeb51">YElement</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;</div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;            <a class="code" href="classframework_1_1core_1_1_i_o_data_element.html">IODataElement</a>* <a class="code" href="classframework_1_1core_1_1_point3_ddata.html#aed3cce25d0a340fea5b00ff63ad28a38">ZElement</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;</div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;        <span class="keyword">private</span>:</div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;            <span class="keywordtype">void</span> CopyDatas(<span class="keywordtype">char</span>* dst) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;    };</div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;</div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;} <span class="comment">// end namespace core</span></div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;} <span class="comment">// end namespace framework</span></div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;</div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;<span class="preprocessor">#endif // POINT3DDATA_H</span></div>
<div class="ttc" id="classframework_1_1core_1_1_point3_d_html_acd87f77c6f9b7910503b428c039062dc"><div class="ttname"><a href="classframework_1_1core_1_1_point3_d.html#acd87f77c6f9b7910503b428c039062dc">framework::core::Point3D::x</a></div><div class="ttdeci">float x</div><div class="ttdoc">x </div><div class="ttdef"><b>Definition:</b> Point3D.h:49</div></div>
<div class="ttc" id="classframework_1_1core_1_1_point3_ddata_html_ade28ba8acbb93c19239d561cc9e3ef73"><div class="ttname"><a href="classframework_1_1core_1_1_point3_ddata.html#ade28ba8acbb93c19239d561cc9e3ef73">framework::core::Point3Ddata::~Point3Ddata</a></div><div class="ttdeci">~Point3Ddata()</div><div class="ttdoc">Destructor. </div></div>
<div class="ttc" id="classframework_1_1core_1_1io__data_html"><div class="ttname"><a href="classframework_1_1core_1_1io__data.html">framework::core::io_data</a></div><div class="ttdoc">Abstract class for data types. </div><div class="ttdef"><b>Definition:</b> io_data.h:69</div></div>
<div class="ttc" id="classframework_1_1core_1_1_point3_ddata_html"><div class="ttname"><a href="classframework_1_1core_1_1_point3_ddata.html">framework::core::Point3Ddata</a></div><div class="ttdoc">Class defining a 3D point and a io_data User must manually use the io_data&#39;s Mutex to access to Point...</div><div class="ttdef"><b>Definition:</b> Point3Ddata.h:26</div></div>
<div class="ttc" id="classframework_1_1core_1_1_point3_d_html"><div class="ttname"><a href="classframework_1_1core_1_1_point3_d.html">framework::core::Point3D</a></div><div class="ttdoc">Class defining a 3D point. </div><div class="ttdef"><b>Definition:</b> Point3D.h:26</div></div>
<div class="ttc" id="classframework_1_1core_1_1_i_o_data_element_html"><div class="ttname"><a href="classframework_1_1core_1_1_i_o_data_element.html">framework::core::IODataElement</a></div><div class="ttdoc">Abstract class for accessing an element of an io_data. </div><div class="ttdef"><b>Definition:</b> IODataElement.h:22</div></div>
<div class="ttc" id="classframework_1_1core_1_1_point3_ddata_html_a08b9c5883d3888ad059c839df81db737"><div class="ttname"><a href="classframework_1_1core_1_1_point3_ddata.html#a08b9c5883d3888ad059c839df81db737">framework::core::Point3Ddata::XElement</a></div><div class="ttdeci">IODataElement * XElement(void) const </div><div class="ttdoc">X Element. </div></div>
<div class="ttc" id="io__data_8h_html"><div class="ttname"><a href="io__data_8h.html">io_data.h</a></div><div class="ttdoc">Abstract class for data types. </div></div>
<div class="ttc" id="classframework_1_1core_1_1_point3_ddata_html_a450fa0db78acef83b87b6bc9122eeb51"><div class="ttname"><a href="classframework_1_1core_1_1_point3_ddata.html#a450fa0db78acef83b87b6bc9122eeb51">framework::core::Point3Ddata::YElement</a></div><div class="ttdeci">IODataElement * YElement(void) const </div><div class="ttdoc">Y Element. </div></div>
<div class="ttc" id="classframework_1_1core_1_1_point3_ddata_html_aed3cce25d0a340fea5b00ff63ad28a38"><div class="ttname"><a href="classframework_1_1core_1_1_point3_ddata.html#aed3cce25d0a340fea5b00ff63ad28a38">framework::core::Point3Ddata::ZElement</a></div><div class="ttdeci">IODataElement * ZElement(void) const </div><div class="ttdoc">Z Element. </div></div>
<div class="ttc" id="classframework_1_1core_1_1_point3_d_html_a559222769c545076728647cc164759e6"><div class="ttname"><a href="classframework_1_1core_1_1_point3_d.html#a559222769c545076728647cc164759e6">framework::core::Point3D::y</a></div><div class="ttdeci">float y</div><div class="ttdoc">y </div><div class="ttdef"><b>Definition:</b> Point3D.h:54</div></div>
<div class="ttc" id="_i_o_data_element_8h_html"><div class="ttname"><a href="_i_o_data_element_8h.html">IODataElement.h</a></div><div class="ttdoc">Abstract class for accessing an element of an io_data. </div></div>
<div class="ttc" id="classframework_1_1core_1_1_object_html"><div class="ttname"><a href="classframework_1_1core_1_1_object.html">framework::core::Object</a></div><div class="ttdoc">Base class for all Framework&#39;s classes. </div><div class="ttdef"><b>Definition:</b> Object.h:75</div></div>
<div class="ttc" id="classframework_1_1core_1_1_point3_d_html_a26d3078830242ae0514109d02f072734"><div class="ttname"><a href="classframework_1_1core_1_1_point3_d.html#a26d3078830242ae0514109d02f072734">framework::core::Point3D::z</a></div><div class="ttdeci">float z</div><div class="ttdoc">z </div><div class="ttdef"><b>Definition:</b> Point3D.h:59</div></div>
<div class="ttc" id="classframework_1_1core_1_1_point3_ddata_html_a4bd1a1e9a503d289b7d2cc470449b874"><div class="ttname"><a href="classframework_1_1core_1_1_point3_ddata.html#a4bd1a1e9a503d289b7d2cc470449b874">framework::core::Point3Ddata::Point3Ddata</a></div><div class="ttdeci">Point3Ddata(const Object *parent, std::string name, float x=0, float y=0, float z=0, uint32_t n=1)</div><div class="ttdoc">Constructor. </div></div>
<div class="ttc" id="_point3_d_8h_html"><div class="ttname"><a href="_point3_d_8h.html">Point3D.h</a></div><div class="ttdoc">Class defining a 3D point. </div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_d9f696bd07998dbcfc5b49e19dc5f66d.html">igep</a></li><li class="navelem"><a class="el" href="dir_7775cfc2302e50905e8c794823e78d65.html">uav_lib</a></li><li class="navelem"><a class="el" href="dir_3d8b3ef72b6bddf04a7da37c46c6171b.html">framework</a></li><li class="navelem"><a class="el" href="dir_b562b7e28db909b473d6df8cfc340e1a.html">Framework</a></li><li class="navelem"><a class="el" href="dir_351818660e8c85d910ad9decfeb820b5.html">src</a></li><li class="navelem"><a class="el" href="_point3_ddata_8h.html">Point3Ddata.h</a></li>
    <li class="footer">Generated on Thu Feb 18 2016 17:14:15 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.7 </li>
  </ul>
</div>
</body>
</html>
